<?php

/**
 * JCH Optimize - Performs several front-end optimizations for fast downloads.
 *
 * @author    Samuel Marshall <samuel@jch-optimize.net>
 * @copyright Copyright (c) 2021 Samuel Marshall / JCH Optimize
 * @license   GNU/GPLv3, or later. See LICENSE file
 *
 * If LICENSE file missing, see <http://www.gnu.org/licenses/>.
 */

namespace JchOptimize\Controller;

use _JchOptimizeVendor\Joomla\Controller\AbstractController;
use _JchOptimizeVendor\Joomla\Input\Input;
use _JchOptimizeVendor\Psr\Log\LoggerAwareInterface;
use _JchOptimizeVendor\Psr\Log\LoggerAwareTrait;
use JchOptimize\Core\Admin\Tasks;
use JchOptimize\Log\WordpressNoticeLogger;

class KeyCache extends AbstractController implements LoggerAwareInterface
{
    use LoggerAwareTrait;

    public function __construct(?Input $input = null)
    {
        parent::__construct($input);
    }

    public function execute(): bool
    {
        Tasks::generateNewCacheKey();

        /** @var WordpressNoticeLogger $logger */
        $logger = $this->logger;
        $logger->success(\__('New cache key generated!', 'jch-optimize'));
        \wp_redirect('options-general.php?page=jch_optimize');

        return \true;
    }
}
