<?php

/**
 * JCH Optimize - Performs several front-end optimizations for fast downloads.
 *
 * @author    Samuel Marshall <samuel@jch-optimize.net>
 * @copyright Copyright (c) 2020 Samuel Marshall / JCH Optimize
 * @license   GNU/GPLv3, or later. See LICENSE file
 *
 * If LICENSE file missing, see <http://www.gnu.org/licenses/>.
 */

namespace JchOptimize\Controller;

use _JchOptimizeVendor\Joomla\Controller\AbstractController;
use _JchOptimizeVendor\Joomla\Input\Input;
use JchOptimize\Core\Admin\Icons;
use JchOptimize\View\MainHtml;

class Main extends AbstractController
{
    private MainHtml $view;

    private Icons $icons;

    public function __construct(MainHtml $view, Icons $icons, ?Input $input = null)
    {
        $this->view = $view;
        $this->icons = $icons;
        parent::__construct($input, null);
    }

    public function execute(): bool
    {
        $this->view->setData(['tab' => 'main', 'icons' => $this->icons]);
        $this->view->loadResources();
        echo $this->view->render();

        return \true;
    }
}
