<?php

/**
 * JCH Optimize - Performs several front-end optimizations for fast downloads.
 *
 * @author    Samuel Marshall <samuel@jch-optimize.net>
 * @copyright Copyright (c) 2020 Samuel Marshall / JCH Optimize
 * @license   GNU/GPLv3, or later. See LICENSE file
 *
 * If LICENSE file missing, see <http://www.gnu.org/licenses/>.
 */

namespace JchOptimize\Platform;

use _JchOptimizeVendor\Joomla\Registry\Registry;
use JchOptimize\Core\Interfaces\Plugin as PluginInterface;

\defined('_WP_EXEC') or exit('Restricted access');
class Plugin implements PluginInterface
{
    protected static ?string $plugin = null;

    public static function getPluginId()
    {
    }

    public static function getPlugin()
    {
    }

    public static function saveSettings(Registry $params): void
    {
        $options = $params->toArray();
        \update_option('jch-optimize_settings', $options);
    }

    public static function getPluginParams(): Registry
    {
        /** @var array $options */
        $options = \get_option('jch-optimize_settings');

        return new Registry($options);
    }
}
